Bug 983373 - Changing the filter while editing a translation causes save dialog error
Changing the filter while editing a translation causes save dialog error
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks: 978656
  Show dependency treegraph
 
Reported: 2013-07-11 01:51 EDT by Damian Jansen
Modified: 2013-11-26 22:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:31:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1. Save dialog for unsaved translation when filtering (16.26 KB, image/png)
2013-07-11 01:51 EDT, Damian Jansen
no flags Details
2. Filter saving errors in history (13.06 KB, image/png)
2013-07-11 01:52 EDT, Damian Jansen
no flags Details

  None (edit)
Description Damian Jansen 2013-07-11 01:51:09 EDT
Created attachment 772021 [details]
1. Save dialog for unsaved translation when filtering

Description of problem:
If a user edits a translation, and clicks a filter, a dialog will appear confirming the need to save.
It appears that if the user presses Save, then changes the filter, another save dialog will appear. Clicking Save on this dialog will cause an error to show in the history.

Version-Release number of selected component (if applicable):
Dev

How reproducible:
Easily, Always

Steps to Reproduce:
1. Go to a document translation
2. Edit some text in the target
3. Click a filter option
4. Click Save Changes on the dialog
5. Click a different filter option

Actual results:
A Save dialog appears. Pressing Save Changes causes error to appear.

Expected results:
No Save Changes dialog should appear.

Additional info:
Comment 1 Damian Jansen 2013-07-11 01:52:23 EDT
Created attachment 772023 [details]
2. Filter saving errors in history
Comment 4 Damian Jansen 2013-07-16 23:55:42 EDT
Tested at 72079ed37970b7dbb6e8b62d3701d0933fc03d9e

Looks good to me.
Comment 5 Sean Flanigan 2013-11-26 22:31:14 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.